Skip to main content
GET
/
receipts
/
{id}
/
stock-operations
Get receipt stock operations
curl --request GET \
  --url https://integrations.clopos.com/open-api/v2/receipts/{id}/stock-operations \
  --header 'x-token: <api-key>'
{
  "data": [
    {
      "id": 123,
      "receipt_id": 123,
      "receipt_product_id": 123,
      "product_id": 123,
      "stock_id": 123,
      "storage_id": 123,
      "quantity": 123,
      "before_quantity": 123,
      "after_quantity": 123,
      "cost": 123,
      "before_cost": 123,
      "total_cost": 123,
      "operated_at": "<string>",
      "product": {
        "id": 123,
        "name": "<string>"
      },
      "stock": {
        "id": 123,
        "storage": {
          "id": 123,
          "name": "<string>"
        }
      }
    }
  ]
}

Authorizations

x-token
string
header
required

JWT access token obtained from /v2/auth endpoint

Path Parameters

id
integer
required

Receipt ID

Response

Stock operations retrieved successfully

data
object[]

Stock deduction operations caused by the receipt itself (operation_id is null and receipt_product_id is set).